Skip to main content

Permission

View as Markdown

PasswordPermissions object

access_control_listarray of objectPublic Preview
Show child attributesHide child attributes
all_permissionsarray of objectPublic Preview

All permissions.

Show child attributesHide child attributes
inheritedbooleanPublic Preview
inherited_from_objectarray of stringPublic Preview
permission_levelstringPublic Preview

Permission level

Values:

  • LEVEL_UNSPECIFIED
  • CAN_USE
display_namestringPublic Preview

Display name of the user or service principal.

group_namestringPublic Preview

name of the group

service_principal_namestringPublic Preview

Name of the service principal.

user_namestringPublic Preview

name of the user

object_idstringPublic Preview
object_typestringPublic Preview

Get password permissions Public Preview

GET /api/2.0/permissions/authorization/passwords

Gets the permissions of all passwords. Passwords can inherit permissions from their root object.

API scopes: scim

CloudsAWS

Response

Returns the PasswordPermissions object.

Set password permissions Public Preview

PUT /api/2.0/permissions/authorization/passwords

Sets permissions on an object, replacing existing permissions if they exist. Deletes all direct permissions if none are specified. Objects can inherit permissions from their root object.

API scopes: scim

CloudsAWS

Request body

access_control_listarray of object
Show child attributesHide child attributes
group_namestring

name of the group

permission_levelstring

Permission level

Values:

  • LEVEL_UNSPECIFIED
  • CAN_USE
service_principal_namestring

application ID of a service principal

user_namestring

name of the user

Response

Returns the PasswordPermissions object.

Get password permission levels Public Preview

GET /api/2.0/permissions/authorization/passwords/permissionLevels

Gets the permission levels that a user can have on an object.

API scopes: scim

CloudsAWS

Response

permission_levelsarray of object

Specific permission levels

Show child attributesHide child attributes
descriptionstring
permission_levelstring

Permission level

Values:

  • LEVEL_UNSPECIFIED
  • CAN_USE

Update password permissions Public Preview

PATCH /api/2.0/permissions/authorization/passwords

Updates the permissions on all passwords. Passwords can inherit permissions from their root object.

API scopes: scim

CloudsAWS

Request body

access_control_listarray of object
Show child attributesHide child attributes
group_namestring

name of the group

permission_levelstring

Permission level

Values:

  • LEVEL_UNSPECIFIED
  • CAN_USE
service_principal_namestring

application ID of a service principal

user_namestring

name of the user

Response

Returns the PasswordPermissions object.